kind: PersistentVolumeClaim
apiVersion: v1
metadata:
  name: netp-pv-claim
spec:
  storageClassName: rook-ceph-block
  accessModes:
    - ReadWriteOnce
  resources:
    requests:
      storage: 2Gi #change as needed for your deployment
---
kind: Deployment
apiVersion: apps/v1beta1
metadata:
  name: netp
spec:
  replicas: 1
  template:
    metadata:
      labels:
        app: portal
        tier: "1"
        component: netp
        track: master
    spec:
      containers:
        - name: netp
          image: quay.io/mergetb/netc:latest
          volumeMounts:
            - name: data-volume
              mountPath: /usr/share/data
      volumes:
        - name: data-volume
          persistentVolumeClaim:
            claimName: netp-pv-claim

